Create or update a pipeline
Creates a new pipeline or updates an existing one. The pipeline object is provided in the request body as a PipelineInputRequest.
Pipeline definition
| PipelineInputRequest | object | ||
| pipeline | object | ||
| context | object? | ||
| * | object | ||
| createdAt | |||
| DateTime | object | ||
| description | string? | ||
| enabled | boolean | ||
| id | integer | ||
| interrupt | boolean | ||
| latestRunId | integer | ||
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string | ||
| notificationChannels | |||
| NotificationPayload | object | ||
| alertsEnabled | boolean | ||
| configuredNotificationGroupIds | array[integer] | ||
| notifyOn | array[string] | Enum: | |
| notifyOnSuccess | boolean | ||
| notifyOnWarning | boolean | ||
| reNotifyFactor | integer | ||
| severity | string? | Enum: | |
| tags | array[string] | ||
| string | string | ||
| pipelineBaselineMetric | |||
| PipelineBaselineMetric | object | ||
| includeSuccessfulRunsOnly | boolean | ||
| metrics | integer | ||
| unit | string | Enum: | |
| schedule | string? | ||
| scheduled | boolean | ||
| schedulerType | string | Enum: | |
| sourceType | string | Enum: | |
| tags | array[object] | ||
| createdAt | |||
| DateTime | object | ||
| displayName | string | ||
| id | integer | ||
| name | string | ||
| updatedAt | |||
| DateTime | object | ||
| uid | string | ||
| updatedAt | |||
| DateTime | object |
curl --request PUT \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines' \ --data '{ "pipeline": { "context": {}, "createdAt": {}, "description": "{string,null}", "enabled": "{boolean}", "id": "{integer}", "interrupt": "{boolean}", "latestRunId": "{integer}", "meta": { "codeLocation": "{string,null}", "owner": "{string,null}", "team": "{string,null}" }, "name": "{string}", "notificationChannels": { "alertsEnabled": "{boolean}", "configuredNotificationGroupIds": [ "{array[integer]...}" ], "notifyOn": [ "{array[string]...}" ], "notifyOnSuccess": "{boolean}", "notifyOnWarning": "{boolean}", "reNotifyFactor": "{integer}", "severity": "{string,null}", "tags": [ "{array[string]...}" ] }, "pipelineBaselineMetric": { "includeSuccessfulRunsOnly": "{boolean}", "metrics": "{integer}", "unit": "{string}" }, "schedule": "{string,null}", "scheduled": "{boolean}", "schedulerType": "{string}", "sourceType": "{string}", "tags": [ { "createdAt": {}, "displayName": "{string}", "id": "{integer}", "name": "{string}", "updatedAt": {} } ], "uid": "{string}", "updatedAt": {} }}'Created or updated pipeline
| PipelineResponse | object | ||
| pipeline | object | ||
| context | object? | ||
| * | object | ||
| createdAt | |||
| DateTime | object | ||
| description | string? | ||
| enabled | boolean | ||
| id | integer | ||
| interrupt | boolean | ||
| latestRunId | integer | ||
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string | ||
| notificationChannels | |||
| NotificationPayload | object | ||
| alertsEnabled | boolean | ||
| configuredNotificationGroupIds | array[integer] | ||
| notifyOn | array[string] | Enum: | |
| notifyOnSuccess | boolean | ||
| notifyOnWarning | boolean | ||
| reNotifyFactor | integer | ||
| severity | string? | Enum: | |
| tags | array[string] | ||
| string | string | ||
| pipelineBaselineMetric | |||
| PipelineBaselineMetric | object | ||
| includeSuccessfulRunsOnly | boolean | ||
| metrics | integer | ||
| unit | string | Enum: | |
| schedule | string? | ||
| scheduled | boolean | ||
| schedulerType | string | Enum: | |
| sourceType | string | Enum: | |
| tags | array[object] | ||
| createdAt | |||
| DateTime | object | ||
| displayName | string | ||
| id | integer | ||
| name | string | ||
| updatedAt | |||
| DateTime | object | ||
| uid | string | ||
| updatedAt | |||
| DateTime | object |
{ "pipeline": { "context": {}, "createdAt": {}, "description": "{string,null}", "enabled": "{boolean}", "id": "{integer}", "interrupt": "{boolean}", "latestRunId": "{integer}", "meta": { "codeLocation": "{string,null}", "owner": "{string,null}", "team": "{string,null}" }, "name": "{string}", "notificationChannels": { "alertsEnabled": "{boolean}", "configuredNotificationGroupIds": [ "{array[integer]...}" ], "notifyOn": [ "{array[string]...}" ], "notifyOnSuccess": "{boolean}", "notifyOnWarning": "{boolean}", "reNotifyFactor": "{integer}", "severity": "{string,null}", "tags": [ "{array[string]...}" ] }, "pipelineBaselineMetric": { "includeSuccessfulRunsOnly": "{boolean}", "metrics": "{integer}", "unit": "{string}" }, "schedule": "{string,null}", "scheduled": "{boolean}", "schedulerType": "{string}", "sourceType": "{string}", "tags": [ { "createdAt": {}, "displayName": "{string}", "id": "{integer}", "name": "{string}", "updatedAt": {} } ], "uid": "{string}", "updatedAt": {} }}Delete a pipeline
Deletes the pipeline with the given ID.
| pipelineId | string | Pipeline ID |
curl --request DELETE \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/{pipelineId}'Pipeline deleted successfully
| No response body |
Pipeline not found
Pipeline could not be deleted due to a conflict
No responseUpdate pipeline graph with jobs
Updates the pipeline's job graph. The request specifies the job nodes and their relationships within the pipeline DAG.
| pipelineId | string | Pipeline ID |
Job graph definition
| JobRequest | array[object] | ||
| context | object? | ||
| * | object | ||
| description | string? | ||
| inputs | array[object] | ||
| assetId | integer | ||
| assetType | string? | ||
| asset | string? | ||
| jobUid | string? | ||
| name | string? | ||
| owner | string? | ||
| parentNodeId | integer | ||
| source | string? | ||
| sourceType | string? | ||
| team | string? | ||
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string | ||
| outputs | array[object] | ||
| assetId | integer | ||
| assetType | string? | ||
| asset | string? | ||
| jobUid | string? | ||
| name | string? | ||
| owner | string? | ||
| parentNodeId | integer | ||
| source | string? | ||
| sourceType | string? | ||
| team | string? | ||
| parentNodeId | integer | ||
| pipeLineRunId | integer | ||
| uid | string | ||
| version | integer |
curl --request PUT \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/{pipelineId}/jobs' \ --data '[ { "context": {}, "description": "{string,null}", "inputs": [ { "assetId": "{integer}", "assetType": "{string,null}", "asset_uid": "{string,null}", "jobUid": "{string,null}", "name": "{string,null}", "owner": "{string,null}", "parentNodeId": "{integer}", "source": "{string,null}", "sourceType": "{string,null}", "team": "{string,null}" } ], "meta": { "codeLocation": "{string,null}", "owner": "{string,null}", "team": "{string,null}" }, "name": "{string}", "outputs": [ { "assetId": "{integer}", "assetType": "{string,null}", "asset_uid": "{string,null}", "jobUid": "{string,null}", "name": "{string,null}", "owner": "{string,null}", "parentNodeId": "{integer}", "source": "{string,null}", "sourceType": "{string,null}", "team": "{string,null}" } ], "parentNodeId": "{integer}", "pipeLineRunId": "{integer}", "uid": "{string}", "version": "{integer}" }]'Updated node graph
| NodeResponse | object | ||
| node | object | ||
| alertsCount | integer | ||
| assetId | integer | ||
| context | object? | ||
| * | object | ||
| createdVia | string | Enum: | |
| description | string? | ||
| id | integer | ||
| jobNodeMetric | array[object] | ||
| Metric | object | ||
| change | number | ||
| denominator | integer | ||
| name | string | ||
| type | string | Enum: | |
| unit | string? | ||
| value | number | ||
| jobStatus | string? | Enum: | |
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string? | ||
| parentId | integer | ||
| pipelineId | integer | ||
| reliabilityPolicySummary | array[object] | ||
| PolicySummary | object | ||
| aborted | integer | ||
| error | integer | ||
| policyType | string | Enum: | |
| success | integer | ||
| total | integer | ||
| status | string | Enum: | |
| type | string | Enum: | |
| uid | string? | ||
| versionId | integer |
Invalid job request
{ "node": { "alertsCount": "{integer}", "assetId": "{integer}", "context": {}, "createdVia": "{string}", "description": "{string,null}", "id": "{integer}", "jobNodeMetric": [ { "change": "{number}", "denominator": "{integer}", "name": "{string}", "type": "{string}", "unit": "{string,null}", "value": "{number}" } ], "jobStatus": "{string,null}", "meta": { "codeLocation": "{string,null}", "owner": "{string,null}", "team": "{string,null}" }, "name": "{string,null}", "parentId": "{integer}", "pipelineId": "{integer}", "reliabilityPolicySummary": [ { "aborted": "{integer}", "error": "{integer}", "policyType": "{string}", "success": "{integer}", "total": "{integer}" } ], "status": "{string}", "type": "{string}", "uid": "{string,null}", "versionId": "{integer}" }}Get a pipeline by identity
Returns details of a pipeline identified by its numeric ID or name.
| identity | string | Pipeline ID (numeric) or pipeline name |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/{identity}'Pipeline details
| PipelineResponse | object | ||
| pipeline | object | ||
| context | object? | ||
| * | object | ||
| createdAt | |||
| DateTime | object | ||
| description | string? | ||
| enabled | boolean | ||
| id | integer | ||
| interrupt | boolean | ||
| latestRunId | integer | ||
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string | ||
| notificationChannels | |||
| NotificationPayload | object | ||
| alertsEnabled | boolean | ||
| configuredNotificationGroupIds | array[integer] | ||
| notifyOn | array[string] | Enum: | |
| notifyOnSuccess | boolean | ||
| notifyOnWarning | boolean | ||
| reNotifyFactor | integer | ||
| severity | string? | Enum: | |
| tags | array[string] | ||
| string | string | ||
| pipelineBaselineMetric | |||
| PipelineBaselineMetric | object | ||
| includeSuccessfulRunsOnly | boolean | ||
| metrics | integer | ||
| unit | string | Enum: | |
| schedule | string? | ||
| scheduled | boolean | ||
| schedulerType | string | Enum: | |
| sourceType | string | Enum: | |
| tags | array[object] | ||
| createdAt | |||
| DateTime | object | ||
| displayName | string | ||
| id | integer | ||
| name | string | ||
| updatedAt | |||
| DateTime | object | ||
| uid | string | ||
| updatedAt | |||
| DateTime | object |
Pipeline not found
{ "pipeline": { "context": {}, "createdAt": {}, "description": "{string,null}", "enabled": "{boolean}", "id": "{integer}", "interrupt": "{boolean}", "latestRunId": "{integer}", "meta": { "codeLocation": "{string,null}", "owner": "{string,null}", "team": "{string,null}" }, "name": "{string}", "notificationChannels": { "alertsEnabled": "{boolean}", "configuredNotificationGroupIds": [ "{array[integer]...}" ], "notifyOn": [ "{array[string]...}" ], "notifyOnSuccess": "{boolean}", "notifyOnWarning": "{boolean}", "reNotifyFactor": "{integer}", "severity": "{string,null}", "tags": [ "{array[string]...}" ] }, "pipelineBaselineMetric": { "includeSuccessfulRunsOnly": "{boolean}", "metrics": "{integer}", "unit": "{string}" }, "schedule": "{string,null}", "scheduled": "{boolean}", "schedulerType": "{string}", "sourceType": "{string}", "tags": [ { "createdAt": {}, "displayName": "{string}", "id": "{integer}", "name": "{string}", "updatedAt": {} } ], "uid": "{string}", "updatedAt": {} }}List all pipelines with summary
Returns a paginated summary of all pipelines. Supports filtering by pipeline source, instrumentation type, and namespaces.
| pipelineSource | string | Filter by pipeline source (e.g., AIRFLOW) | |
| instrumentedBy | string | Filter by instrumentation method (e.g., SDK, OPENLINEAGE) | |
| namespaces | string | Filter by namespaces | |
| page | string | Page number (0-based) | |
| size | string | Number of items per page | |
| sort | string | Sort field and direction |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/summary' \ --data pipelineSource={pipelineSource} \ --data instrumentedBy={instrumentedBy} \ --data namespaces={namespaces} \ --data page={page} \ --data size={size} \ --data sort={sort}Paginated pipeline summary
| PipelinesListingResponse | object | ||
| meta | object | ||
| count | integer | ||
| page | integer | ||
| size | integer | ||
| pipelines | array[object] | ||
| assetNodesCount | integer | ||
| functionalNodesCount | integer | ||
| latestRunFinishedAt | |||
| DateTime | object | ||
| latestRunId | integer | ||
| latestRunResult | string? | ||
| latestRunStartedAt | |||
| DateTime | object | ||
| latestRunVersionId | integer | ||
| pipelineSummary | object | ||
| id | integer | ||
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string | ||
| uid | string | ||
| policyCounts | object | ||
| * | integer | ||
| sourceType | string | Enum: | |
| totalRunsCount | integer |
{ "meta": { "count": "{integer}", "page": "{integer}", "size": "{integer}" }, "pipelines": [ { "assetNodesCount": "{integer}", "functionalNodesCount": "{integer}", "latestRunFinishedAt": {}, "latestRunId": "{integer}", "latestRunResult": "{string,null}", "latestRunStartedAt": {}, "latestRunVersionId": "{integer}", "pipelineSummary": { "id": "{integer}", "meta": { "codeLocation": "{string,null}", "owner": "{string,null}", "team": "{string,null}" }, "name": "{string}", "uid": "{string}" }, "policyCounts": {}, "sourceType": "{string}", "totalRunsCount": "{integer}" } ]}Pipeline Graph
Get pipeline graph
Returns the full pipeline graph including jobs and assets. Optionally filtered by version, run, and node status.
| pipelineId | string | Pipeline ID |
| versionId | string | Specific graph version ID | |
| runId | string | Pipeline run ID to scope the graph | |
| nodeStatus | string | Filter nodes by status (ALL, RUNNING, FAILED, etc.) |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/{pipelineId}/graph' \ --data versionId={versionId} \ --data runId={runId} \ --data nodeStatus={nodeStatus}Pipeline graph details
| PipelineDetailsResponse | object | ||
| details | object | ||
| edges | array[object] | ||
| fromAssetType | string? | Enum: | |
| fromId | integer | ||
| id | integer | ||
| toAssetType | string? | Enum: | |
| toId | integer | ||
| versionId | integer | ||
| nodes | array[object] | ||
| alertsCount | integer | ||
| assetId | integer | ||
| context | object? | ||
| * | object | ||
| createdVia | string | Enum: | |
| description | string? | ||
| id | integer | ||
| jobNodeMetric | array[object] | ||
| Metric | object | ||
| change | number | ||
| denominator | integer | ||
| name | string | ||
| type | string | Enum: | |
| unit | string? | ||
| value | number | ||
| jobStatus | string? | Enum: | |
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string? | ||
| parentId | integer | ||
| pipelineId | integer | ||
| reliabilityPolicySummary | array[object] | ||
| PolicySummary | object | ||
| aborted | integer | ||
| error | integer | ||
| policyType | string | Enum: | |
| success | integer | ||
| total | integer | ||
| status | string | Enum: | |
| type | string | Enum: | |
| uid | string? | ||
| versionId | integer | ||
| pipeline | object | ||
| context | object? | ||
| * | object | ||
| createdAt | |||
| DateTime | object | ||
| description | string? | ||
| enabled | boolean | ||
| id | integer | ||
| interrupt | boolean | ||
| latestRunId | integer | ||
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string | ||
| notificationChannels | |||
| NotificationPayload | object | ||
| alertsEnabled | boolean | ||
| configuredNotificationGroupIds | array[integer] | ||
| notifyOn | array[string] | Enum: | |
| notifyOnSuccess | boolean | ||
| notifyOnWarning | boolean | ||
| reNotifyFactor | integer | ||
| severity | string? | Enum: | |
| tags | array[string] | ||
| string | string | ||
| pipelineBaselineMetric | |||
| PipelineBaselineMetric | object | ||
| includeSuccessfulRunsOnly | boolean | ||
| metrics | integer | ||
| unit | string | Enum: | |
| schedule | string? | ||
| scheduled | boolean | ||
| schedulerType | string | Enum: | |
| sourceType | string | Enum: | |
| tags | array[object] | ||
| createdAt | |||
| DateTime | object | ||
| displayName | string | ||
| id | integer | ||
| name | string | ||
| updatedAt | |||
| DateTime | object | ||
| uid | string | ||
| updatedAt | |||
| DateTime | object | ||
| pipelineRun | |||
| PipelineRun | object | ||
| args | object? | ||
| * | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| continuationId | string? | ||
| errorEvents | integer | ||
| externalRunId | string? | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| pipelineId | integer | ||
| result | string | Enum: | |
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| tenantId | string? | ||
| versionId | integer | ||
| warningEvents | integer | ||
| metrics | array[object] | ||
| change | number | ||
| denominator | integer | ||
| name | string | ||
| type | string | Enum: | |
| unit | string? | ||
| value | number |
Invalid or missing pipelineId
xxxxxxxxxx{ "details": {...}, "metrics": [...]}Pipeline Runs
Create a pipeline run
Creates a new run for the specified pipeline.
| pipelineId | string | Pipeline ID |
Pipeline run definition
| PipelineRunRequest | object | ||
| run | object | ||
| args | object? | ||
| * | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| continuationId | string? | ||
| errorEvents | integer | ||
| externalRunId | string? | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| pipelineId | integer | ||
| result | string | Enum: | |
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| tenantId | string? | ||
| versionId | integer | ||
| warningEvents | integer |
curl --request POST \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/{pipelineId}/runs' \ --data '{ "run": { "args": {}, "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "continuationId": "{string,null}", "errorEvents": "{integer}", "externalRunId": "{string,null}", "finishedAt": {}, "id": "{integer}", "pipelineId": "{integer}", "result": "{string}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "tenantId": "{string,null}", "versionId": "{integer}", "warningEvents": "{integer}" }}'Created pipeline run
| PipelineRunRequest | object | ||
| run | object | ||
| args | object? | ||
| * | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| continuationId | string? | ||
| errorEvents | integer | ||
| externalRunId | string? | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| pipelineId | integer | ||
| result | string | Enum: | |
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| tenantId | string? | ||
| versionId | integer | ||
| warningEvents | integer |
{ "run": { "args": {}, "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "continuationId": "{string,null}", "errorEvents": "{integer}", "externalRunId": "{string,null}", "finishedAt": {}, "id": "{integer}", "pipelineId": "{integer}", "result": "{string}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "tenantId": "{string,null}", "versionId": "{integer}", "warningEvents": "{integer}" }}Update a pipeline run
Updates an existing pipeline run by its run ID.
| runId | string | Pipeline run ID |
Updated pipeline run data
| PipelineRunRequest | object | ||
| run | object | ||
| args | object? | ||
| * | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| continuationId | string? | ||
| errorEvents | integer | ||
| externalRunId | string? | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| pipelineId | integer | ||
| result | string | Enum: | |
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| tenantId | string? | ||
| versionId | integer | ||
| warningEvents | integer |
curl --request PUT \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/runs/{runId}' \ --data '{ "run": { "args": {}, "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "continuationId": "{string,null}", "errorEvents": "{integer}", "externalRunId": "{string,null}", "finishedAt": {}, "id": "{integer}", "pipelineId": "{integer}", "result": "{string}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "tenantId": "{string,null}", "versionId": "{integer}", "warningEvents": "{integer}" }}'Updated pipeline run
| PipelineRunRequest | object | ||
| run | object | ||
| args | object? | ||
| * | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| continuationId | string? | ||
| errorEvents | integer | ||
| externalRunId | string? | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| pipelineId | integer | ||
| result | string | Enum: | |
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| tenantId | string? | ||
| versionId | integer | ||
| warningEvents | integer |
{ "run": { "args": {}, "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "continuationId": "{string,null}", "errorEvents": "{integer}", "externalRunId": "{string,null}", "finishedAt": {}, "id": "{integer}", "pipelineId": "{integer}", "result": "{string}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "tenantId": "{string,null}", "versionId": "{integer}", "warningEvents": "{integer}" }}Get span-job associations for a run
Returns the mapping between spans and jobs within the specified pipeline run. Useful for understanding which jobs produced which spans.
| runId | string | Pipeline run ID |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/runs/{runId}/span-job-associations'Span-job association mappings
| SpanJobAssociationsResponse | object | ||
| associations | array[object] | ||
| id | integer | ||
| jobUid | string | ||
| result | string | Enum: | |
| runId | integer | ||
| spanUid | string | ||
| meta | object | ||
| count | integer | ||
| page | integer | ||
| size | integer |
Pipeline run not found
{ "associations": [ { "id": "{integer}", "jobUid": "{string}", "result": "{string}", "runId": "{integer}", "spanUid": "{string}" } ], "meta": { "count": "{integer}", "page": "{integer}", "size": "{integer}" }}Get a pipeline run
Returns details of a specific pipeline run.
| identifier | string | Pipeline run ID |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/runs/{identifier}'Pipeline run details
| PipelineRunRequest | object | ||
| run | object | ||
| args | object? | ||
| * | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| continuationId | string? | ||
| errorEvents | integer | ||
| externalRunId | string? | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| pipelineId | integer | ||
| result | string | Enum: | |
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| tenantId | string? | ||
| versionId | integer | ||
| warningEvents | integer |
Pipeline run not found
{ "run": { "args": {}, "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "continuationId": "{string,null}", "errorEvents": "{integer}", "externalRunId": "{string,null}", "finishedAt": {}, "id": "{integer}", "pipelineId": "{integer}", "result": "{string}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "tenantId": "{string,null}", "versionId": "{integer}", "warningEvents": "{integer}" }}Get latest pipeline run
Returns the most recent run for the specified pipeline.
| id | string | Pipeline ID |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/{id}/latestRun'Latest pipeline run
| PipelineRunRequest | object | ||
| run | object | ||
| args | object? | ||
| * | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| continuationId | string? | ||
| errorEvents | integer | ||
| externalRunId | string? | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| pipelineId | integer | ||
| result | string | Enum: | |
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| tenantId | string? | ||
| versionId | integer | ||
| warningEvents | integer |
No runs found for the pipeline
{ "run": { "args": {}, "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "continuationId": "{string,null}", "errorEvents": "{integer}", "externalRunId": "{string,null}", "finishedAt": {}, "id": "{integer}", "pipelineId": "{integer}", "result": "{string}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "tenantId": "{string,null}", "versionId": "{integer}", "warningEvents": "{integer}" }}List runs for a pipeline
Returns a paginated list of runs for the specified pipeline.
| id | string | Pipeline ID |
| page | string | Page number (0-based) | |
| size | string | Number of items per page | |
| sort | string | Sort field and direction |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/{id}/runs' \ --data page={page} \ --data size={size} \ --data sort={sort}Paginated list of pipeline runs
| PipelineRunsResponse | object | ||
| meta | object | ||
| count | integer | ||
| page | integer | ||
| size | integer | ||
| runs | array[object] | ||
| args | object? | ||
| * | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| continuationId | string? | ||
| errorEvents | integer | ||
| externalRunId | string? | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| pipelineId | integer | ||
| result | string | Enum: | |
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| tenantId | string? | ||
| versionId | integer | ||
| warningEvents | integer |
Pipeline not found
{ "meta": { "count": "{integer}", "page": "{integer}", "size": "{integer}" }, "runs": [ { "args": {}, "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "continuationId": "{string,null}", "errorEvents": "{integer}", "externalRunId": "{string,null}", "finishedAt": {}, "id": "{integer}", "pipelineId": "{integer}", "result": "{string}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "tenantId": "{string,null}", "versionId": "{integer}", "warningEvents": "{integer}" } ]}Create a span for a pipeline run
Creates a new span within the specified pipeline run. A span represents a unit of work within the pipeline execution.
| runId | string | Pipeline run ID |
Span definition with optional job associations
| SpanRequest | object | ||
| associatedJobUids | array[string] | ||
| span | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| errorEvents | integer | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| parentSpanId | integer | ||
| pipelineRunId | integer | ||
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| totalTime | integer | ||
| uid | string | ||
| warningEvents | integer |
curl --request POST \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/runs/{runId}/spans' \ --data '{ "associatedJobUids": [ "{array[string]...}" ], "span": { "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "errorEvents": "{integer}", "finishedAt": {}, "id": "{integer}", "parentSpanId": "{integer}", "pipelineRunId": "{integer}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "totalTime": "{integer}", "uid": "{string}", "warningEvents": "{integer}" }}'Created span
| SpanRequest | object | ||
| associatedJobUids | array[string] | ||
| span | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| errorEvents | integer | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| parentSpanId | integer | ||
| pipelineRunId | integer | ||
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| totalTime | integer | ||
| uid | string | ||
| warningEvents | integer |
Pipeline run not found
{ "associatedJobUids": [ "{array[string]...}" ], "span": { "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "errorEvents": "{integer}", "finishedAt": {}, "id": "{integer}", "parentSpanId": "{integer}", "pipelineRunId": "{integer}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "totalTime": "{integer}", "uid": "{string}", "warningEvents": "{integer}" }}List spans for a pipeline run
Returns all spans associated with the given pipeline run. When onlyRootSpan=true, returns only the root span.
| runId | string | Pipeline run ID |
| onlyRootSpan | string | Return only root spans (default false) |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/runs/{runId}/spans' \ --data onlyRootSpan={onlyRootSpan}List of spans
| SpansResponse | object | ||
| spans | array[object] | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| errorEvents | integer | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| parentSpanId | integer | ||
| pipelineRunId | integer | ||
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| totalTime | integer | ||
| uid | string | ||
| warningEvents | integer |
Pipeline run not found
{ "spans": [ { "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "errorEvents": "{integer}", "finishedAt": {}, "id": "{integer}", "parentSpanId": "{integer}", "pipelineRunId": "{integer}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "totalTime": "{integer}", "uid": "{string}", "warningEvents": "{integer}" } ]}Get a span by identity
Returns a specific span within a pipeline run.
| runId | string | Pipeline run ID | |
| identity | string | Span identity (ID or name) |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/runs/{runId}/spans/{identity}'Span details
| SpanRequest | object | ||
| associatedJobUids | array[string] | ||
| span | object | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| errorEvents | integer | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| parentSpanId | integer | ||
| pipelineRunId | integer | ||
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| totalTime | integer | ||
| uid | string | ||
| warningEvents | integer |
Span not found
{ "associatedJobUids": [ "{array[string]...}" ], "span": { "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "errorEvents": "{integer}", "finishedAt": {}, "id": "{integer}", "parentSpanId": "{integer}", "pipelineRunId": "{integer}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "totalTime": "{integer}", "uid": "{string}", "warningEvents": "{integer}" }}List child spans
Returns all child spans of the specified span.
| spanId | string | Parent span ID |
curl --get \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/spans/{spanId}/childSpans'List of child spans
| ChildSpanResponse | object | ||
| childSpans | array[object] | ||
| avgExecutionTime | |||
| BigDecimal | object | ||
| intVal | object | ||
| signum | integer | ||
| mag | array[object] | ||
| bitCountPlusOne | integer | ||
| bitLengthPlusOne | integer | ||
| lowestSetBitPlusTwo | integer | ||
| firstNonzeroIntNumPlusTwo | integer | ||
| scale | integer | ||
| precision | integer | ||
| stringCache | string | ||
| intCompact | integer | ||
| errorEvents | integer | ||
| finishedAt | |||
| DateTime | object | ||
| id | integer | ||
| parentSpanId | integer | ||
| pipelineRunId | integer | ||
| startedAt | |||
| DateTime | object | ||
| status | string | Enum: | |
| successEvents | integer | ||
| totalTime | integer | ||
| uid | string | ||
| warningEvents | integer |
Span not found
{ "childSpans": [ { "avgExecutionTime": { "intVal": { "signum": "{integer}", "mag": [ {} ], "bitCountPlusOne": "{integer}", "bitLengthPlusOne": "{integer}", "lowestSetBitPlusTwo": "{integer}", "firstNonzeroIntNumPlusTwo": "{integer}" }, "scale": "{integer}", "precision": "{integer}", "stringCache": "{string}", "intCompact": "{integer}" }, "errorEvents": "{integer}", "finishedAt": {}, "id": "{integer}", "parentSpanId": "{integer}", "pipelineRunId": "{integer}", "startedAt": {}, "status": "{string}", "successEvents": "{integer}", "totalTime": "{integer}", "uid": "{string}", "warningEvents": "{integer}" } ]}Create a span event
Records an event within the specified span. Events capture data points, metrics, or status changes during span execution.
| spanId | string | Span ID |
Span event data
| SpanEventRequest | object | ||
| event | object | ||
| contextData | object? | ||
| * | object | ||
| createdAt | |||
| DateTime | object | ||
| eventUid | string | ||
| logData | string? | ||
| spanId | integer | ||
| tenantId | string? |
curl --request POST \ --url 'https://docs.acceldata.io/torch-pipeline/api/pipelines/spans/{spanId}/events' \ --data '{ "event": { "contextData": {}, "createdAt": {}, "eventUid": "{string}", "logData": "{string,null}", "spanId": "{integer}", "tenantId": "{string,null}" }}'Created span event
| SpanEventResponse | object | ||
| event | object | ||
| alert | |||
| EventAlertObject | object | ||
| alertSeverity | string? | Enum: | |
| isIncidentRaised | boolean | ||
| contextData | object? | ||
| * | object | ||
| createdAt | |||
| DateTime | object | ||
| eventUid | string | ||
| id | integer | ||
| meta | object? | ||
| * | object | ||
| spanId | integer | ||
| spanUid | string? | ||
| type | string | Enum: |
Span not found
List events for a span
Returns all events recorded within the specified span.
| spanId | string | Span ID |
List of span events
| SpanEventsResponse | object | ||
| events | array[object] | ||
| alert | |||
| EventAlertObject | object | ||
| alertSeverity | string? | Enum: | |
| isIncidentRaised | boolean | ||
| contextData | object? | ||
| * | object | ||
| createdAt | |||
| DateTime | object | ||
| eventUid | string | ||
| id | integer | ||
| meta | object? | ||
| * | object | ||
| spanId | integer | ||
| spanUid | string? | ||
| type | string | Enum: | |
| meta | object | ||
| count | integer | ||
| page | integer | ||
| size | integer |
Span not found
Get span event log
Returns the detailed log output for a specific span event.
| spanEventId | string | Span event ID |
Span event log content
| No response body |
Pipeline Nodes
Get a pipeline node by ID
Returns details for a specific pipeline node (job or task).
| id | string | Node ID |
Node details
| NodeDetailsResponse | object | ||
| data | object | ||
| node | object | ||
| alertsCount | integer | ||
| assetId | integer | ||
| context | object? | ||
| * | object | ||
| createdVia | string | Enum: | |
| description | string? | ||
| id | integer | ||
| jobNodeMetric | array[object] | ||
| Metric | object | ||
| change | number | ||
| denominator | integer | ||
| name | string | ||
| type | string | Enum: | |
| unit | string? | ||
| value | number | ||
| jobStatus | string? | Enum: | |
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string? | ||
| parentId | integer | ||
| pipelineId | integer | ||
| reliabilityPolicySummary | array[object] | ||
| PolicySummary | object | ||
| aborted | integer | ||
| error | integer | ||
| policyType | string | Enum: | |
| success | integer | ||
| total | integer | ||
| status | string | Enum: | |
| type | string | Enum: | |
| uid | string? | ||
| versionId | integer | ||
| rules | array[object] | ||
| id | integer | ||
| nodeId | integer | ||
| rule | object | ||
| additionalPersistedColumns | array[string] | ||
| analyticsPipelineId | integer | ||
| anomalyStrengthThreshold | string? | Enum: | |
| archivalReason | string? | ||
| archived | boolean | ||
| autoCreated | boolean | ||
| autoRetries | integer | ||
| autoRetryEnabled | boolean | ||
| backingAssets | array[object] | ||
| customQuery | string? | ||
| customTableAssetIds | array[integer] | ||
| integer | integer | ||
| id | integer | ||
| marker | |||
| MarkerConfig | object | ||
| type | string | ||
| ruleId | integer | ||
| tableAlias | string? | ||
| tableAssetId | integer | ||
| tableAssetUid | string? | ||
| continueExecutionOnFailure | boolean | ||
| createdAt | object | ||
| createdBy | string? | ||
| deletionReason | string? | ||
| description | string? | ||
| enabled | boolean | ||
| engineType | string? | Enum: | |
| executionSequence | integer | ||
| executionTimeoutInMinutes | integer | ||
| filter | string? | ||
| id | integer | ||
| includeInQualityScore | boolean | ||
| isCompositeRule | boolean | ||
| isProtectedResource | boolean | ||
| jobSchedule | |||
| JobSchedule | object | ||
| backingAssetId | integer | ||
| cronExpression | string | ||
| enabled | boolean | ||
| id | integer | ||
| marker | |||
| MarkerConfig | object | ||
| type | string | ||
| name | string? | ||
| scheduleType | string | ||
| tenantId | string? | ||
| timeZone | string | ||
| labels | array[object] | ||
| Label | object | ||
| key | string | ||
| labelType | string? | Enum: | |
| value | string | ||
| lastUpdatedBy | string? | ||
| leftCustomSqlConfig | |||
| CustomSqlConfig | object | ||
| columnMetadataList | array[object] | ||
| name | string | ||
| type | string | ||
| columnVariables | array[object] | ||
| format | string? | ||
| getOnlyWithVariableName | object | ||
| isNumber | boolean | ||
| name | string | ||
| value | string? | ||
| queryType | string | ||
| ruleVersion | integer | ||
| sanitizedQuery | string | ||
| sqlExpression | string | ||
| tableAlias | string? | ||
| markedForDeletion | boolean | ||
| markedForDeletionAt | integer | ||
| name | string | ||
| notificationChannels | |||
| NotificationPayload | object | ||
| alertsEnabled | boolean | ||
| configuredNotificationGroupIds | array[integer] | ||
| notifyOn | array[string] | Enum: | |
| notifyOnSuccess | boolean | ||
| notifyOnWarning | boolean | ||
| reNotifyFactor | integer | ||
| severity | string? | Enum: | |
| tags | array[string] | ||
| string | string | ||
| parentId | integer | ||
| policyGroups | array[object] | ||
| PolicyGroup | object | ||
| createdAt | |||
| DateTime | object | ||
| description | string? | ||
| id | integer | ||
| name | string? | ||
| tenantId | string? | ||
| updatedAt | |||
| DateTime | object | ||
| policyScoreStrategy | string | Enum: | |
| policyTransformUDFS | array[object] | ||
| assetId | integer | ||
| columnNames | array[string] | ||
| string | string | ||
| id | integer | ||
| name | string | ||
| parameters | array[object] | ||
| isColumnVariable | boolean | ||
| key | string | ||
| value | string? | ||
| ruleId | integer | ||
| udfId | integer | ||
| resourceStrategyType | string? | Enum: | |
| rightCustomSqlConfig | |||
| CustomSqlConfig | object | ||
| columnMetadataList | array[object] | ||
| name | string | ||
| type | string | ||
| columnVariables | array[object] | ||
| format | string? | ||
| getOnlyWithVariableName | object | ||
| isNumber | boolean | ||
| name | string | ||
| value | string? | ||
| queryType | string | ||
| ruleVersion | integer | ||
| sanitizedQuery | string | ||
| sqlExpression | string | ||
| tableAlias | string? | ||
| rightEngineType | string? | Enum: | |
| rightFilter | string? | ||
| rightSparkFilterSelectedColumns | array[string] | ||
| string | string | ||
| rightSparkSQLDynamicFilterVariableMapping | |||
| RuleSparkSQLDynamicFilterVariableMapping | object | ||
| mapping | array[object] | ||
| isColumnVariable | boolean | ||
| key | string | ||
| value | string? | ||
| ruleId | integer | ||
| ruleName | string | ||
| rightSparkSQLFilterType | string | Enum: | |
| ruleSetId | integer | ||
| schedule | string? | ||
| scheduled | boolean | ||
| segments | array[object] | ||
| ShortSegment | object | ||
| id | integer | ||
| name | string? | ||
| type | string | ||
| selectedResourceInventory | string? | ||
| sparkFilterSelectedColumns | array[string] | ||
| string | string | ||
| sparkResourceConfig | |||
| SparkResourceConfig | object | ||
| additionalConfiguration | object? | ||
| * | string | ||
| databricks | |||
| DataBricksSparkResourceConfig | object | ||
| clusterDriverType | string? | ||
| clusterWorkerType | string? | ||
| maxWorkers | integer | ||
| minWorkers | integer | ||
| dataproc | |||
| DataprocSparkResourceConfig | object | ||
| clusterMasterType | string? | ||
| clusterWorkerType | string? | ||
| numMasterNodes | integer | ||
| numWorkerNodes | integer | ||
| invalidFields | array[string] | ||
| livy | |||
| LivySparkResourceConfig | object | ||
| driverCores | integer | ||
| driverMemory | string? | ||
| executorCores | integer | ||
| executorMemory | string? | ||
| numExecutors | integer | ||
| yunikorn | |||
| YunikornSparkResourceConfig | object | ||
| driverCores | integer | ||
| driverLimitCores | string? | ||
| driverMemory | string? | ||
| driverMemoryOverhead | string? | ||
| driverMemoryOverheadFactor | number | ||
| driverRequestCores | string? | ||
| executorCores | integer | ||
| executorLimitCores | string? | ||
| executorMemory | string? | ||
| executorMemoryOverhead | string? | ||
| executorMemoryOverheadFactor | number | ||
| executorRequestCores | string? | ||
| maxExecutors | integer | ||
| minExecutors | integer | ||
| sparkSQLDynamicFilterVariableMapping | |||
| RuleSparkSQLDynamicFilterVariableMapping | object | ||
| mapping | array[object] | ||
| isColumnVariable | boolean | ||
| key | string | ||
| value | string? | ||
| ruleId | integer | ||
| ruleName | string | ||
| sparkSQLFilterType | string | Enum: | |
| subType | string? | Enum: | |
| tags | array[object] | ||
| RuleTag | object | ||
| id | integer | ||
| name | string | ||
| ruleId | integer | ||
| tagId | integer | ||
| tenantId | string? | ||
| tenantId | string? | ||
| thresholdLevel | |||
| AbsoluteThresholdConfig | object | ||
| config | |||
| AboveConfigs | object | ||
| direction | string | Enum: | |
| success | number | ||
| warning | number | ||
| success | number | ||
| type | string | Enum: | |
| warning | number | ||
| timeZone | string | ||
| totalExecutionTimeoutInMinutes | integer | ||
| treatZeroRowsAsSuccess | boolean | ||
| type | string | Enum: | |
| updatedAt | object | ||
| version | integer |
Node not found
Pipeline Tags
List all pipeline tags
Returns all tags used for categorizing pipelines and pipeline entities.
List of pipeline tags
| No response body |
Pipeline Lineage
Create or update asset lineage
Creates or updates the lineage information for the specified asset.
| id | string | Asset ID |
Lineage data with upstream and downstream connections
| PipelineLineageRequest | object | ||
| assetIds | array[integer] | ||
| direction | string | Enum: | |
| process | |||
| ProcessDetails | object | ||
| description | string? | ||
| name | string |
Updated lineage
| LineageResponse | object | ||
| graph | object | ||
| edges | array[object] | ||
| fromAssetType | string? | Enum: | |
| fromId | integer | ||
| id | integer | ||
| toAssetType | string? | Enum: | |
| toId | integer | ||
| versionId | integer | ||
| nodes | array[object] | ||
| canAddDownstreamLineage | boolean | ||
| canAddUpstreamLineage | boolean | ||
| canDelete | boolean | ||
| functionalNodeGroup | integer | ||
| lineage | string? | Enum: | |
| node | object | ||
| alertsCount | integer | ||
| assetId | integer | ||
| context | object? | ||
| * | object | ||
| createdVia | string | Enum: | |
| description | string? | ||
| id | integer | ||
| jobNodeMetric | array[object] | ||
| Metric | object | ||
| change | number | ||
| denominator | integer | ||
| name | string | ||
| type | string | Enum: | |
| unit | string? | ||
| value | number | ||
| jobStatus | string? | Enum: | |
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string? | ||
| parentId | integer | ||
| pipelineId | integer | ||
| reliabilityPolicySummary | array[object] | ||
| PolicySummary | object | ||
| aborted | integer | ||
| error | integer | ||
| policyType | string | Enum: | |
| success | integer | ||
| total | integer | ||
| status | string | Enum: | |
| type | string | Enum: | |
| uid | string? | ||
| versionId | integer | ||
| remainingColumnCount | integer |
Insufficient permissions
Get lineage for an asset
Returns the upstream and downstream lineage graph for the specified asset, showing data flow through pipelines and transformations.
| id | string | Asset ID |
Asset lineage graph
| LineageResponse | object | ||
| graph | object | ||
| edges | array[object] | ||
| fromAssetType | string? | Enum: | |
| fromId | integer | ||
| id | integer | ||
| toAssetType | string? | Enum: | |
| toId | integer | ||
| versionId | integer | ||
| nodes | array[object] | ||
| canAddDownstreamLineage | boolean | ||
| canAddUpstreamLineage | boolean | ||
| canDelete | boolean | ||
| functionalNodeGroup | integer | ||
| lineage | string? | Enum: | |
| node | object | ||
| alertsCount | integer | ||
| assetId | integer | ||
| context | object? | ||
| * | object | ||
| createdVia | string | Enum: | |
| description | string? | ||
| id | integer | ||
| jobNodeMetric | array[object] | ||
| Metric | object | ||
| change | number | ||
| denominator | integer | ||
| name | string | ||
| type | string | Enum: | |
| unit | string? | ||
| value | number | ||
| jobStatus | string? | Enum: | |
| meta | |||
| Meta | object | ||
| codeLocation | string? | ||
| owner | string? | ||
| team | string? | ||
| name | string? | ||
| parentId | integer | ||
| pipelineId | integer | ||
| reliabilityPolicySummary | array[object] | ||
| PolicySummary | object | ||
| aborted | integer | ||
| error | integer | ||
| policyType | string | Enum: | |
| success | integer | ||
| total | integer | ||
| status | string | Enum: | |
| type | string | Enum: | |
| uid | string? | ||
| versionId | integer | ||
| remainingColumnCount | integer |
Insufficient permissions to view lineage